[A102]Company Portfolio Strategy Radar Map
The Radar Map uses patent information as an indicator of portfolio strategy. The report compares various metrics of the portfolio to highlight the characteristics and the strengths. The algorithm for the Radar Map was developed in collaboration with the Entrepreneurship Centre, National University of Singapore.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | 2020 | Patent apply date to, format:yyyy |
| string | 2010 | Patent apply date from, format:yyyy |
| string | CN OR EP | Select the authority of the patent, the default query all databases, eg CN、US、EP、JP. To find more information, refer to https://analytics.zhihuiya.com/status. Example: US OR EP |
| string | 华为技术有限公司 | Query the name of a single enterprise |
Required | string | en | Select the language , the default language is en, you can choose cn or en. |
| string | A OR B | Patent application type A:Applications B: Patents U: Utility models D: Designs Multiple options can be selected, and multiple content items can be spliced with OR (there is a space between parameter and OR) |
| string | 2020 | Patent publication date to, format:yyyy |
| string | 2010 | Patent publication date from, format:yyyy |
| string | 1 OR 2 | Patent simple legal status 0-Inactive 1-Active 2-Pending 220-PCT designated stage expired n221-PCT designated stage 999-Undetermined Multiple options can be selected, and multiple content items can be spliced with OR (there is a space between parameter and OR) |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
assignee | string | 上海微电子装备(集团)股份有限公司 | Assignee |
co_patenting | number<double> | 0.018 | Co-patenting quantifies the degree to which an organization engages in external collaborations resulting in joint creation and ownership of IP. |
patent_influence | number<double> | 0.009 | Technology Impact Index (TII) is the share of an organization's patents in the pool of highly cited patents relative to its share in total patents. A highly cited patent is one which is among the top 10% most frequently cited in its cohort. A cohort is defined by year of grant and technology class. |
current_relevance | number<double> | 0.111 | Technology Cycle Time is an indicator of an organization's speed in turning leading edge technology into IP. It is defined as the median age of patents cited as prior art by the reference patent. |
patent_complexity | number<double> | 0.018 | Share of Complex Multi-Technology Patents is an original indicator to assess the extent of technological complexity in an organization's patent portfolio. A "complex" patent is one which is classified in multiple technological areas in its technology classification field. |
scientific_content | number<double> | 0.018 | Share of Science-based Patents is another measure of scientific content and is the share of patents with Bibliographic Citations Ratio (BCR) value higher than 50%. |
internationalization | number<double> | 0.018 | International Co-invention quantifies the degree to which an organization's inventors engage in collaborative R&D with inventors outside the home economy. |
growth_in_patent_stock | number<double> | 0.22 | Growth of portfolio is measured as average annual growth rate in an organization's patent stock. |
technology_specialization | number<double> | 0.237 | Technology Specialisation is measured using the Herfindahl Index which quantifies the degree to which a portfolio is specialised or concentrated in a small number of technology areas versus being distributed across a range of technologies. |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
{
"data": {
"assignee": "上海微电子装备(集团)股份有限公司",
"co_patenting": 0.018,
"patent_influence": 0.009,
"current_relevance": 0.111,
"patent_complexity": 0.018,
"scientific_content": 0.018,
"internationalization": 0.018,
"growth_in_patent_stock": 0.22,
"technology_specialization": 0.237
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200001 | API call exceeds the total limit set by the platform! |
67200002 | Quota exceeds the limit! |
67200003 | Access token expired or authentication error! |
67200004 | No permission or API package quota has exceeded the limit! |
67200005 | Insufficient balance, call failed! |
67200006 | This client has expired and call failed! |
67200007 | Exceeded the call limit, call failed! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms